

public class Rectangle extends Shape{
	// Attributes
	private int width;
	private int height;
	private static int count=0;
	private int ID;
	
	// Constructor
	public Rectangle(int x, int y, int newWidth, int newHeight){
		super(x,y);
		width = newWidth;
		height = newHeight;
		
		count++;
		ID = count; //This way IDs will start with 1. 
	}
	
	// Methods
	public double area(){
		return width * height;
	}
	
	public double circumference(){
		return 2*(width+height);
	}
	
	
	// Getters
	public int getID(){
		return ID;
	}
		
	public int getWidth(){
		return width;
	}
	
	public int getHeight(){
		return height;
	}
	
	// Setters
	public void setWidth(int newWidth){
		width = newWidth;
	}
	
	public void setHeight(int newHeight){
		height = newHeight;
	}

}

